<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
$link="/?p=$pages&amp;";
if ($numaz == 0){
$title="Регистрация";
if(!empty($_POST["reris"])){$preris=check($_POST["reris"]);}else{unset($preris);}
if (isset($_GET['st'])){$st=(int)$_GET["st"];}else{unset($st);}
if($preris=="go"){
$rlogin=check($_POST["rlogin"]);
$rlogin=strtolower($rlogin);
$remail=check($_POST["remail"]);
$rpassword=check($_POST["rpassword"]);
$prpassword=check($_POST["prpassword"]);
$rsex=check($_POST["rsex"]);
$rosebe=check($_POST["rosebe"]);
$rkode=check($_POST["rkode"]);
if(empty($rsex)) $rsex="1";
if($rkode != $_SESSION['rand_co']){
$error="Указаный вами код несовподает";}else{
if(empty($remail)){
$error="Укажите ваш E-mail";}else{
if(!preg_match("|^[-0-9a-z_\.]+@[-0-9a-z_^\.]+\.[a-z]{2,6}$|i", $remail)){
$error="Указанный вами E-mail несуществеет! Введите реальный.";}else{
$bd_prmail = "SELECT * FROM s_useres WHERE mail = '".$remail."'";
$res = mysql_query($bd_prmail) or die(mysql_error());
$nummal = mysql_num_rows($res);
if($nummal!=0){
$error="Данный E-mail уже указан при регистрации. Укажите другой.";}else{
if(!preg_match("/^[a-z0-9]{6,20}$/i",$rpassword)){
$error="Убедитесь что Пароль содержит от 6 до 20 символов, и состоит из латинских символов и цифр";}else{
if($prpassword!=$rpassword){
$error="Указанные вами пароли не совподают";}else{
if(!preg_match("/^[a-z0-9]{3,20}$/i",$rlogin)){
$error="Убедитесь что Логин содержит от 3 до 20 символов, и состоит из латинских символов и цифр";}else{
$bd_prlog= "SELECT * FROM s_useres WHERE login = '".$rlogin."'";
$reslog = mysql_query($bd_prlog) or die(mysql_error());
$numlog = mysql_num_rows($reslog);
if($numlog != 0){
$error="Данный Логин уже указан при регистрации. Укажите другой.";}else{
$sql=mysql_query("INSERT INTO s_useres (id,avatar,login,pass,mail,pol,timereg,admin,ip,br,onli,ban,prin) Values ('','0.gif','$rlogin','".md5($rpassword)."','$remail','1','".time()."','0','$ip','$br','".time()."','0','')",$db);
if(!$sql){$error="Запрос не прошел. Попробуйте еще раз.";}
}}}}}}}}
}else{
unset($error);
}
if(empty($rlogin)) $logf='placeholder="Укажите Логин"'; else $logf='value="'.$rlogin.'"';
if(empty($remail)) $mailf='placeholder="Укажите E-mail"'; else $mailf='value="'.$remail.'"';
}else{
$title="Соглашение";
}
?>